API Dokumentation
Create Questionnaire Personal Details
post
/api/v1/kyc/questionnaire/personal-detailsAnswers the personal details step. A step that was already answered is left as it is.
KycQuestionnaire
Parameter
version
path · string
Erforderlich
Anforderungstext
{
"title": "The request could not be completed. Check the values and try again.",
"dateOfBirth": "2026-07-20T09:00:00Z",
"nationality": "Example",
"passportNumber": "Example",
"nationalInsuranceNumber": "Example",
"nationalNumber": "Example",
"dualNationality": "Example",
"residency": "Example",
"confirmsNotUsPerson": true
}Antworten
- 200Updated questionnaire state.application/json
{ "steps": [ "PersonalDetails", "Address", "Financial" ], "completedSteps": [ "PersonalDetails" ], "nextStep": "Address", "firstName": "Anna", "lastName": "Example", "notUsPersonConfirmationRequired": true, "defaultCurrency": "EUR", "sourceOfFunds": { "requested": true, "submitted": false, "financialAnswered": false, "defaultCurrency": "EUR", "allowedExtensions": [ "pdf", "jpg", "png" ], "maximumFileSizeInKb": 5120, "maximumNumberOfFiles": 10, "files": [], "monthlyLimit": null } } - 400Some answers are missing or invalid.application/json
{ "errors": { "dateOfBirth": [ "Please specify your date of birth." ] } } - 401Not authenticated.application/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" }